#import <Foundation/Foundation.h>
#import <gst/gst.h>

@protocol VideoStreamBackendDelegate <NSObject>

//@optional

// called when the stream fails to start/stop
-(void) streamRequestFailed:(id)sender reason:(NSString *)reason;

// called when the stream becomes active or inactive (playing/not playing)
-(void) streamActiveChanged:(id)sender isActive:(BOOL)isActive;

// called when the video stream backend wishes to post a message
-(void) streamMessage:(id)sender message:(NSString *)message;

@end
